# Class JavaUISourceLocator

java.lang.Object
org.eclipse.jdt.debug.ui.JavaUISourceLocator

All Implemented Interfaces:
  `org.eclipse.debug.core.model.IPersistableSourceLocator, org.eclipse.debug.core.model.ISourceLocator`

@Deprecated public class JavaUISourceLocator extends Object implements org.eclipse.debug.core.model.IPersistableSourceLocator
Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0. The new facilities provide a source lookup director that coordinates source lookup among a set of participants, searching a set of source containers. See the following packages: `org.eclipse.debug.core.sourcelookup` and `org.eclipse.debug.core.sourcelookup.containers`. This class has been replaced by a Java source lookup director and Java source lookup participant. To migrate to the new source lookup support clients should add two new attributes to their launch configuration type extensions:

- sourceLocatorId="org.eclipse.jdt.launching.sourceLocator.JavaSourceLookupDirector"
- sourcePathComputerId="org.eclipse.jdt.launching.sourceLookup.javaSourcePathComputer"

The source locator id attribute specifies to use the Java source lookup director for launch configurations of the associated type, and the source path computer id attribute specifies the class to use when computing a default source lookup path for a launch configuration. The path computer referenced/provided (by the above id), computes a default source lookup path based on the support provided in the 2.0 release - i.e. a configuration's `ATTR_SOURCE_PATH_PROVIDER` attribute (if present), or a default source lookup path based on a configuration's runtime classpath. This class has been replaced by the Java source lookup director which is an internal class, but can be used via the `sourceLocatorId` attribute on a launch configuration type extension.
A source locator that prompts the user to find source when source cannot be found on the current source lookup path.

This class is intended to be instantiated.

Since:
  2.0
Restriction:
  This class is not intended to be sub-classed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_FIND_ALL_SOURCE_ELEMENTS`
Deprecated.
`static final String`
`ID_PROMPTING_JAVA_SOURCE_LOCATOR`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`JavaUISourceLocator()`
Deprecated.
`JavaUISourceLocator(IJavaProject project)`
Deprecated.
`JavaUISourceLocator(IJavaProject[] projects, boolean includeRequired)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMemento()`
Deprecated.
`Object`
`getSourceElement(org.eclipse.debug.core.model.IStackFrame stackFrame)`
Deprecated.
`IJavaSourceLocation[]`
`getSourceLocations()`
Deprecated.
`void`
`initializeDefaults(org.eclipse.debug.core.ILaunchConfiguration configuration)`
Deprecated.
`void`
`initializeFromMemento(String memento)`
Deprecated.
`boolean`
`isFindAllSourceElements()`
Deprecated.
`void`
`setFindAllSourceElement(boolean findAll)`
Deprecated.
`void`
`setSourceLocations(IJavaSourceLocation[] locations)`
Deprecated.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ID_PROMPTING_JAVA_SOURCE_LOCATOR

@Deprecated public static final String ID_PROMPTING_JAVA_SOURCE_LOCATOR
Deprecated.
Identifier for the 'Prompting Java Source Locator' extension (value `"org.eclipse.jdt.debug.ui.javaSourceLocator"`).

### ATTR_FIND_ALL_SOURCE_ELEMENTS

@Deprecated public static final String ATTR_FIND_ALL_SOURCE_ELEMENTS
Deprecated.
Launch configuration attribute indicating that this source locator should locate all source elements that correspond to a stack frame, rather than the first match. Default value is `false`.

Since:
  2.1

## Constructor Details

### JavaUISourceLocator

@Deprecated public JavaUISourceLocator()
Deprecated.
Constructs an empty source locator.

### JavaUISourceLocator

@Deprecated public JavaUISourceLocator(IJavaProject[] projects, boolean includeRequired) throws org.eclipse.core.runtime.CoreException
Deprecated.
Constructs a new source locator that looks in the specified project for source, and required projects, if `includeRequired` is `true`.

Parameters:
  `projects` - the projects in which to look for source
  `includeRequired` - whether to look in required projects as well
Throws:
  `org.eclipse.core.runtime.CoreException` - if the underlying `JavaSourceLocator` fails to be created

### JavaUISourceLocator

@Deprecated public JavaUISourceLocator(IJavaProject project) throws org.eclipse.core.runtime.CoreException
Deprecated.
Constructs a source locator that searches for source in the given Java project, and all of its required projects, as specified by its build path or default source lookup settings.

Parameters:
  `project` - Java project
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to read the project's build path

## Method Details

### getSourceElement

@Deprecated public Object getSourceElement(org.eclipse.debug.core.model.IStackFrame stackFrame)
Deprecated.

Specified by:
  `getSourceElement` in interface `org.eclipse.debug.core.model.ISourceLocator`
See Also:
  - `ISourceLocator.getSourceElement(IStackFrame)`

### getMemento

@Deprecated public String getMemento() throws org.eclipse.core.runtime.CoreException
Deprecated.

Specified by:
  `getMemento` in interface `org.eclipse.debug.core.model.IPersistableSourceLocator`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  - `IPersistableSourceLocator.getMemento()`

### initializeDefaults

@Deprecated public void initializeDefaults(org.eclipse.debug.core.ILaunchConfiguration configuration) throws org.eclipse.core.runtime.CoreException
Deprecated.

Specified by:
  `initializeDefaults` in interface `org.eclipse.debug.core.model.IPersistableSourceLocator`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  - `IPersistableSourceLocator.initializeDefaults(ILaunchConfiguration)`

### initializeFromMemento

@Deprecated public void initializeFromMemento(String memento) throws org.eclipse.core.runtime.CoreException
Deprecated.

Specified by:
  `initializeFromMemento` in interface `org.eclipse.debug.core.model.IPersistableSourceLocator`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  - `IPersistableSourceLocator.initializeFromMemento(String)`

### getSourceLocations

@Deprecated public IJavaSourceLocation[] getSourceLocations()
Deprecated.
Returns the locations that this source locator is currently searching, in the order that they are searched.

Returns:
  the locations that this source locator is currently searching, in the order that they are searched

### setSourceLocations

@Deprecated public void setSourceLocations(IJavaSourceLocation[] locations)
Deprecated.
/** Sets the locations that will be searched, in the order to be searched.

Parameters:
  `locations` - the locations that will be searched, in the order to be searched

### isFindAllSourceElements

@Deprecated public boolean isFindAllSourceElements()
Deprecated.
Returns whether this source locator is configured to search for all source elements that correspond to a stack frame. When `false` is returned, searching stops on the first match. If there is more than one source element that corresponds to a stack frame, the user is prompted to choose a source element to open.

Returns:
  whether this source locator is configured to search for all source elements that correspond to a stack frame
Since:
  2.1

### setFindAllSourceElement

@Deprecated public void setFindAllSourceElement(boolean findAll)
Deprecated.
Sets whether this source locator is configured to search for all source elements that correspond to a stack frame, or the first match.

Parameters:
  `findAll` - whether this source locator should search for all source elements that correspond to a stack frame
Since:
  2.1